/*=============================================================================
ttyrpld - TTY replay daemon
include/linux/km_rpldev.h - Stage 1 RPL interface
  Copyright © Jan Engelhardt <jengelh [at] gmx de>, 2004 - 2006

  Redistribution and use in source and binary forms, with or without
  modification, are permitted provided that the following conditions are met:

  1. Redistributions of source code must retain the above copyright notice,
     this list of conditions and the following disclaimer.
  2. Redistributions in binary form must reproduce the above copyright notice,
     this list of conditions and the following disclaimer in the documentation
     and/or other materials provided with the distribution.
  3. Redistributions of modified code that are made available only in binary
     form require sending a description to the ttyrpld project maintainer on
     what has been changed.
  4. Neither the names of the above-listed copyright holders nor the names of
     any contributors may be used to endorse or promote products derived from
     this software without specific prior written permission.

  NO WARRANTY. THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND
  CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT
  NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTIBILITY AND FITNESS FOR A
  PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDERS OR
  CONTRIBUTORS BE LIABLE FOR SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
  (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
  LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
  SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.
=============================================================================*/
#ifndef _LINUX_KM_RPLDEV_H
#define _LINUX_KM_RPLDEV_H 1

#include <linux/compiler.h>

struct file;
struct tty_struct;

extern int (*rpl_init)(struct tty_struct *, struct tty_struct *, struct file *);
extern int (*rpl_open)(struct tty_struct *, struct tty_struct *, struct file *);
extern int (*rpl_read)(const char __user *, size_t, struct tty_struct *);
extern int (*rpl_write)(const char __user *, size_t, struct tty_struct *);
extern int (*rpl_close)(struct tty_struct *, struct tty_struct *);
extern int (*rpl_deinit)(struct tty_struct *, struct tty_struct *);
extern int (*rpl_ioctl)(struct tty_struct *, struct tty_struct *, unsigned int, unsigned long);

#endif // _LINUX_KM_RPLDEV_H

//=============================================================================
