#ifndef _IP_NAT_CORE_H
#define _IP_NAT_CORE_H
#include <linux/list.h>
#include <linux/netfilter_ipv4/ip_conntrack.h>

/* This header used to share core functionality between the standalone
   NAT module, and the compatibility layer's use of NAT for masquerading. */

extern unsigned int ip_nat_packet(struct ip_conntrack *ct,
			       enum ip_conntrack_info conntrackinfo,
			       unsigned int hooknum,
			       struct sk_buff **pskb);

extern int ip_nat_icmp_reply_translation(struct ip_conntrack *ct,
					 enum ip_conntrack_info ctinfo,
					 unsigned int hooknum,
					 struct sk_buff **pskb);

#if defined(CONFIG_IP_NF_TPROXY) || defined (CONFIG_IP_NF_TPROXY_MODULE)
extern int ip_nat_manip_pkt(u_int16_t proto,
			    struct sk_buff **pskb,
			    unsigned int iphdroff,
			    const struct ip_conntrack_tuple *target,
			    enum ip_nat_manip_type maniptype);
#endif

#endif /* _IP_NAT_CORE_H */
